<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <form class="ui form" id="export-form" th:object="${report}" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_REPORTS} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EXPORT}}">
    <input th:field="*{type}" type="hidden" />
    <div class="fields">
      <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEARS}}, 
			                                                                 field = 'year', 
			                                                                 options = ${years},
			                                                                 optionfield = 'item.id',
			                                                                 required = false,
			                                                                 columnsize = 'two wide',
                                                                             emptyoption = true
			                                                                 )" />
      <th:block th:if="${report.type != 'resource'} and ${report.type != 'timesheet'}">
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_AREA}}, 
			                                                                 field = 'area', 
			                                                                 options = ${areas},
			                                                                 optionfield = 'item.abbreviation',
			                                                                 required = false,
			                                                                 columnsize = 'two wide',
                                                                             emptyoption = true
			                                                                 )" />
      </th:block>
      <th:block th:if="${report.type == 'timesheet'}">
        <div class="field five wide">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}"></label>
          <div class="ui fluid input">
            <select class="ui fluid search clearable dropdown" th:field="${report.month}">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="element : ${months}" th:text="${#dates.monthName(element.date)}" th:value="${element.month}"></option>
            </select>
          </div>
        </div>
      </th:block>
      <th:block th:if="${report.type == 'timesheet'}">
        <div class="field two wide">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></label>
          <div class="ui fluid input">
            <select class="ui fluid search clearable dropdown" th:field="${report.fortnight}">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="element : ${fortnights}" th:text="#{${element.desc}}" th:value="${element.id}"></option>
            </select>
          </div>
        </div>
      </th:block>
      <th:block th:if="${report.type != 'resource'} and ${report.type != 'timesheet'}">
        <div class="field six wide">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAMS}}"></label>
          <div class="ui fluid input" th:fragment="team" id="divteam">
            <select class="ui fluid search clearable dropdown" th:field="${report.team}" onchange="changeExportTeam()">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="team : ${teams}" th:text="${team.name}" th:value="${team.id}"></option>
            </select>
          </div>
        </div>
      </th:block>
      <th:block th:if="${report.type == 'workitem'}">
        <div class="field six wide">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCES}}"></label>
          <div class="ui fluid input" th:fragment="resource" id="divresource">
            <select class="ui fluid search clearable dropdown" th:field="${report.resource}">
              <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
              <option th:each="resource : ${resources}" th:text="${resource.name}" th:value="${resource.id}"></option>
            </select>
          </div>
        </div>
      </th:block>
      <th:block th:if="${report.type == 'absence'}">
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
	                                            field = 'startDay', 
	                                            required = false,
	                                            value = ${#dates.format(report.startDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
	                                            placeholder = 'Choose the day',
	                                            columnsize = 'three wide'
	                                            )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
                                                field = 'endDay', 
                                                required = false,
                                                value = ${#dates.format(report.endDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
                                                placeholder = 'Choose the day',
                                                columnsize = 'three wide'
                                                )" />
      </th:block>
    </div>
    <div class="field fifthteen wide">
      <br>
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EXPORT},
                                                  		icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXPORT},
                                                  		icon1url = ''
                                                  		)" />
	  <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </div>
   </form>
  <div th:fragment="preview" id="preview"></div>
</body>
</html>